
Foreman - Bug #14918

Cannot add new Partition Template 1.11.1

05/03/2016 08:08 PM - Thomas Munn

Status: Duplicate   

Priority: High   

Assignee:    

Category: Templates   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases: 1.11.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If I try to add a new partition to the foreman UI (pasted in) I get the following on the UI:

Internal Server Error.

I did cat the errors log in apache, and here is the output:

[App 540 stderr] [ 2016-05-03 19:59:25.2214 591/0x00000002195440(Worker 1) utils.rb:74 ]: *** Exception EOFError in Rack

application object (bad content body) (process 591, thread 0x00000002195440(Worker 1)):

[ 2016-05-03 19:59:25.2218 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart/parser.rb:117:in

`get_current_head_and_filename_and_content_type_and_name_and_body'

[ 2016-05-03 19:59:25.2218 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart/parser.rb:19:in `block in parse'

[ 2016-05-03 19:59:25.2218 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart/parser.rb:17:in `loop'

[ 2016-05-03 19:59:25.2218 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart/parser.rb:17:in `parse'

[ 2016-05-03 19:59:25.2218 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart.rb:25:in `parse_multipart'

[ 2016-05-03 19:59:25.2219 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/request.rb:377:in `parse_multipart'

[ 2016-05-03 19:59:25.2219 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/request.rb:203:in `POST'

[ 2016-05-03 19:59:25.2219 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/methodoverride.rb:26:in `method_override'

[ 2016-05-03 19:59:25.2220 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/methodoverride.rb:14:in `call'

[ 2016-05-03 19:59:25.2220 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/runtime.rb:17:in `call'

[ 2016-05-03 19:59:25.2221 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/cache/strategy/local_cache_middleware.rb:26:in

`call'

[ 2016-05-03 19:59:25.2221 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/static.rb:64:in `call'

[ 2016-05-03 19:59:25.2221 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/sendfile.rb:112:in `call'

[ 2016-05-03 19:59:25.2221 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/engine.rb:514:in `call'

[ 2016-05-03 19:59:25.2221 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/application.rb:144:in `call'

[ 2016-05-03 19:59:25.2221 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/railtie.rb:194:in `public_send'

[ 2016-05-03 19:59:25.2221 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/railtie.rb:194:in `method_missing'

[ 2016-05-03 19:59:25.2221 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/builder.rb:138:in `call'
[ 2016-05-03 19:59:25.2222 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/urlmap.rb:65:in `block in call'

[ 2016-05-03 19:59:25.2222 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/urlmap.rb:50:in `each'

[ 2016-05-03 19:59:25.2222 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/urlmap.rb:50:in `call'

[ 2016-05-03 19:59:25.2222 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

[ 2016-05-03 19:59:25.2222 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

[ 2016-05-03 19:59:25.2223 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

[ 2016-05-03 19:59:25.2223 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

[ 2016-05-03 19:59:25.2223 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'

[ 2016-05-03 19:59:25.2224 11190/7fcc5855b700 Pool2/Implementation.cpp:1274 ]: [App 540 stderr]         from

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in

create_with_logging_context'

Related issues:

Is duplicate of Foreman - Bug #14346: New Template  feature does not work wit... Resolved

History

#1 - 05/03/2016 08:09 PM - Thomas Munn

Here is the text I was pasting in:

<%#

kind: ptable

name: Kickstart default

oses:

- CentOS 5

- CentOS 6

- CentOS 7

- Fedora 16

- Fedora 17

- Fedora 18

- Fedora 19

- Fedora 20

- RedHat 5

- RedHat 6

- RedHat 7

%>

zerombr

clearpart --all --initlabel

part /boot --fstype ext4 --size=500

part swap --size=4096

part pv.01      --size=1     --grow  --ondisk=/dev/disk/by-path/pci-0000:03:00.0-scsi-0:0:0:0

part pv.02      --size=1     --grow  --ondisk=/dev/disk/by-path/pci-0000:03:00.0-scsi-0:0:1:0

volgroup root pv.01

volgroup data pv.02

logvol / --vgname=root  --fstype=ext4  --size=1 --grow --name=lv_root

logvol /data --vgname=data --fstype=ext4 --size=1 --grow --name=lv_data

#2 - 05/03/2016 08:20 PM - Thomas Munn

I just ran an 'yum update' and it autoupgraded. Was a previous 1.10.x latest. Was working fine. Tried installing the 'new' version on 'new' os and

things just didn't work.  I can't edit ANY templates that are related to partitioning, or even edit old ones.

#3 - 05/03/2016 09:23 PM - Thomas Munn

I also did a 'fresh' install on virgin centos 6.8 (the currentest after update), and got the same results. but the errors are different. I haven't configured

any infrastructure yet, just trying to edit the partition types w/o configuring the proxy.

[ 2016-05-03 21:22:27.7624 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr] [ 2016-05-03 21:22:27.7622

3135/0x00000002769f10(Worker 1) utils.rb:74 ]: *** Exception EOFError in Rack application object (bad content body) (process 3135, thread

0x00000002769f10(Worker 1)):

[ 2016-05-03 21:22:27.7624 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart/parser.rb:117:in

`get_current_head_and_filename_and_content_type_and_name_and_body'

05/20/2024 2/3



[ 2016-05-03 21:22:27.7624 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart/parser.rb:19:in `block in parse'

[ 2016-05-03 21:22:27.7624 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart/parser.rb:17:in `loop'

[ 2016-05-03 21:22:27.7624 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart/parser.rb:17:in `parse'

[ 2016-05-03 21:22:27.7624 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/multipart.rb:25:in `parse_multipart'

[ 2016-05-03 21:22:27.7624 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/request.rb:377:in `parse_multipart'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/request.rb:203:in `POST'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/methodoverride.rb:26:in `method_override'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/methodoverride.rb:14:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/runtime.rb:17:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/cache/strategy/local_cache_middleware.rb:26:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_dispatch/middleware/static.rb:64:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/sendfile.rb:112:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/engine.rb:514:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/application.rb:144:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/railtie.rb:194:in `public_send'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/railties-4.1.5/lib/rails/railtie.rb:194:in `method_missing'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/builder.rb:138:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/urlmap.rb:65:in `block in call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/urlmap.rb:50:in `each'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/rh/rh-ror41/root/usr/share/gems/gems/rack-1.5.2/lib/rack/urlmap.rb:50:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'

[ 2016-05-03 21:22:27.7625 2637/7f6204169700 Pool2/Implementation.cpp:1274 ]: [App 2807 stderr]         from

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

[root@foreman-portable ~]#

#4 - 05/04/2016 03:10 AM - Dominic Cleal

- Status changed from New to Need more information

Can you try opening the form in a new tab instead of the right hand pane, and see if it still happens?  It sounds like bug #14346, but hard to tell

without Foreman's own log (production.log).

#5 - 05/09/2016 02:01 PM - Thomas Munn

I did open the window in a 'new' tab and the internal server error goes away. Looks like it might be related like you said.

#6 - 05/10/2016 03:03 AM - Dominic Cleal

- Is duplicate of Bug #14346: New Template  feature does not work with firefox 45.0 added

#7 - 05/10/2016 03:03 AM - Dominic Cleal

- Status changed from Need more information to Duplicate

Thanks for confirming, we'll continue to track the issue under that ticket.
